Bug 1025242 - hunt FTBFS if "-Werror=format-security" flag is used
hunt FTBFS if "-Werror=format-security" flag is used
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hunt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 06:05 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 10:25:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hunt FTBFS fix (429 bytes, patch)
2013-10-31 06:05 EDT, Dhiru Kholia
no flags Details | Diff

  None (edit)
Description Dhiru Kholia 2013-10-31 06:05:13 EDT
Created attachment 817798 [details]
hunt FTBFS fix

hunt-1.5-17.fc20 fails to build if "-Werror=format-security" flag is used.

...
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -D_REENTRANT   -c -o timer.o timer.c
synchijack.c: In function ‘need_write_positive’:
synchijack.c:245:2: error: format not a string literal and no format arguments [-Werror=format-security]
  sprintf(fin_msg, suggest_sync_msg(0));


I am working on a proposal to enable "-Werror=format-security" for all packages. For more details, please see https://fedorahosted.org/fesco/ticket/1185 URL.

I have attached a trivial patch to fix this problem. Please review and apply.

Note You need to log in before you can comment on or make changes to this bug.